petsc-3.15.0 2021-03-30
Report Typos and Errors

# DMStagGetEntries

get number of native entries in the global representation

### Synopsis

    PetscErrorCode DMStagGetEntries(DM dm,PetscInt *entries)

Not Collective

### Input Parameter

| dm | - the DMStag object

### Output Parameters

| entries | - number of rank-native entries in the global representation

### Note

This is the number of entries on this rank for a global vector associated with dm.

### See Also

DMSTAG, DMStagGetDOF(), DMStagGetEntriesPerElement(), DMCreateLocalVector()

### Level

developer

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages